<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{23E374CD-F819-429B-9016-E5046D28441F}</ProjectGuid>
    <RootNamespace>IDE</RootNamespace>
    <Keyword>MFCProj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>15.0.28127.55</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>..\..\..\..\bin\$(SolutionName)\</OutDir>
    <IntDir>$(OutDir)$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>..\..\..\..\bin\$(SolutionName)\</OutDir>
    <IntDir>$(OutDir)$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <AdditionalIncludeDirectories>..\include</AdditionalIncludeDirectories>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0804</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalLibraryDirectories>..\lib\Debug\</AdditionalLibraryDirectories>
      <AdditionalDependencies>opencv_core342d.lib;opencv_imgproc342d.lib;opencv_highgui342d.lib;opencv_ml342d.lib;opencv_video342d.lib;opencv_features2d342d.lib;opencv_calib3d342d.lib;opencv_objdetect342d.lib;opencv_flann342d.lib;opencv_dnn342d.lib;opencv_imgcodecs342d.lib;opencv_photo342d.lib;opencv_shape342d.lib;opencv_stitching342d.lib;opencv_superres342d.lib;opencv_videoio342d.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;_WINDOWS;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <AdditionalIncludeDirectories>..\include</AdditionalIncludeDirectories>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0804</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalLibraryDirectories>..\lib\Release\</AdditionalLibraryDirectories>
      <AdditionalDependencies>opencv_core342.lib;opencv_imgproc342.lib;opencv_highgui342.lib;opencv_ml342.lib;opencv_video342.lib;opencv_features2d342.lib;opencv_calib3d342.lib;opencv_objdetect342.lib;opencv_flann342.lib;opencv_dnn342.lib;opencv_imgcodecs342.lib;opencv_photo342.lib;opencv_shape342.lib;opencv_stitching342.lib;opencv_superres342.lib;opencv_videoio342.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="CalendarBar.cpp" />
    <ClCompile Include="ChildFrm.cpp" />
    <ClCompile Include="ClassView.cpp" />
    <ClCompile Include="FileView.cpp" />
    <ClCompile Include="IDE.cpp" />
    <ClCompile Include="IDEDoc.cpp" />
    <ClCompile Include="IDEView.cpp" />
    <ClCompile Include="MainFrm.cpp" />
    <ClCompile Include="OutputWnd.cpp" />
    <ClCompile Include="PropertiesWnd.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="ViewTree.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CalendarBar.h" />
    <ClInclude Include="ChildFrm.h" />
    <ClInclude Include="ClassView.h" />
    <ClInclude Include="FileView.h" />
    <ClInclude Include="IDE.h" />
    <ClInclude Include="IDEDoc.h" />
    <ClInclude Include="IDEView.h" />
    <ClInclude Include="MainFrm.h" />
    <ClInclude Include="OutputWnd.h" />
    <ClInclude Include="PropertiesWnd.h" />
    <ClInclude Include="Resource.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="targetver.h" />
    <ClInclude Include="ViewTree.h" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="res\buttons.bmp" />
    <Image Include="res\classview.bmp" />
    <Image Include="res\classview_hc.bmp" />
    <Image Include="res\class_view.ico" />
    <Image Include="res\class_view_hc.ico" />
    <Image Include="res\explorer.bmp" />
    <Image Include="res\explorer_hc.bmp" />
    <Image Include="res\filelarge.bmp" />
    <Image Include="res\filesmall.bmp" />
    <Image Include="res\fileview.bmp" />
    <Image Include="res\fileview_hc.bmp" />
    <Image Include="res\file_view.ico" />
    <Image Include="res\file_view_hc.ico" />
    <Image Include="res\IDE.ico" />
    <Image Include="res\IDEDoc.ico" />
    <Image Include="res\info.bmp" />
    <Image Include="res\main.bmp" />
    <Image Include="res\menuimages.bmp" />
    <Image Include="res\menuimages_hc.bmp" />
    <Image Include="res\nav_large.bmp" />
    <Image Include="res\nav_large_hc.bmp" />
    <Image Include="res\output_wnd.ico" />
    <Image Include="res\output_wnd_hc.ico" />
    <Image Include="res\pages.bmp" />
    <Image Include="res\pages_hc.bmp" />
    <Image Include="res\pages_small.bmp" />
    <Image Include="res\pages_small_hc.bmp" />
    <Image Include="res\properties.bmp" />
    <Image Include="res\properties_hc.bmp" />
    <Image Include="res\properties_wnd.ico" />
    <Image Include="res\properties_wnd_hc.ico" />
    <Image Include="res\sort.bmp" />
    <Image Include="res\sort_hc.bmp" />
    <Image Include="res\Toolbar.bmp" />
    <Image Include="res\Toolbar256.bmp" />
    <Image Include="res\writelarge.bmp" />
    <Image Include="res\writesmall.bmp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="IDE.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="res\IDE.rc2" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="ReadMe.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>